Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.jobmanager
Enum JobManager.JOB_STATUS

    java.lang.Object
      java.lang.Enum<JobManager.JOB_STATUS>
          com.bea.p13n.jobmanager.JobManager.JOB_STATUS

All Implemented Interfaces
  Serializable, Comparable<JobManager.JOB_STATUS>

Enclosing interface:
  JobManager

    public static enum JobManager.JOB_STATUS

extends Enum<JobManager.JOB_STATUS>

All the states a job can be in.

Enum Constant Summary
`COMPLETED`
`FAILED`
`INCOMPLETE`
`RUNNING`
`SUCCESS`

Method Summary
`static JobManager.JOB_STATUS` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobManager.JOB_STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RUNNING

    public static final JobManager.JOB_STATUS RUNNING

### COMPLETED

    public static final JobManager.JOB_STATUS COMPLETED

### INCOMPLETE

    public static final JobManager.JOB_STATUS INCOMPLETE

### FAILED

    public static final JobManager.JOB_STATUS FAILED

### SUCCESS

    public static final JobManager.JOB_STATUS SUCCESS

Method Detail

### values

    public static final JobManager.JOB_STATUS[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static JobManager.JOB_STATUS valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.